edu.msu.cme.rdp.multicompare

## Class Main

- java.lang.Object
- - edu.msu.cme.rdp.multicompare.Main

    public class Main
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Main()`

### Method Summary

Methods
`static void` `main(java.lang.String[] args)`
`static void` `printResults(edu.msu.cme.rdp.taxatree.ConcretRoot<MCTaxon> root, java.util.List<MCSample> samples, java.io.PrintStream heirOut, java.io.PrintStream bootstrapOut)`
`static java.util.Map<java.lang.String,java.lang.Integer>` `readReplicateMapping(java.lang.String file)`
`static java.util.Map<java.lang.String,java.lang.String>` `readSampleMapping(java.lang.String file)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Main

    public Main()

### Method Detail

#### printResults

    public static void printResults(edu.msu.cme.rdp.taxatree.ConcretRoot<MCTaxon> root,
                    java.util.List<MCSample> samples,
                    java.io.PrintStream heirOut,
                    java.io.PrintStream bootstrapOut)
                             throws java.io.IOException

Throws:
  `java.io.IOException`

#### readSampleMapping

    public static java.util.Map<java.lang.String,java.lang.String> readSampleMapping(java.lang.String file)
                                                                              throws java.io.IOException

Throws:
  `java.io.IOException`

#### readReplicateMapping

    public static java.util.Map<java.lang.String,java.lang.Integer> readReplicateMapping(java.lang.String file)
                                                                                  throws java.io.IOException

Throws:
  `java.io.IOException`

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`